## RetroCore Logging Functions RetroCore Logging Functions — Functions to log a Libretro core |

## Functions

void | retro_g_log ()

## Includes

    #include <retro-gtk/retro-gtk.h>

## Description

Convenience functions to connect to the “log” signal of RetroCore.

## Functions

### retro_g_log ()

    void
    retro_g_log (RetroCore *sender,
                 const gchar *log_domain,
                 GLogLevelFlags log_level,
                 const gchar *message);

Logs an error or debugging message.

This is a convenience function to forward the “log” signal of RetroCore to `g_log()`, see it for more information.

#### Parameters

sender | a RetroCore |
log_domain | the log domain, usually G_LOG_DOMAIN, or `NULL`. | [nullable]
log_level | the log level, either from GLogLevelFlags or a user-defined level |
message | the message to log |

## See Also

RetroCore